
QGIS Application - Feature request #2520

wfs client: add a query builder (like the postgis client)

2010-03-07 09:49 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WFS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 12580

Description

See summary. This is a feature available in other wfs clients and often a requested one by new qgis users.

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2012-12-11 05:44 AM - Giovanni Manghi

- Resolution set to fixed

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

There is a query builder, even if per #6802 is not working (but this is another issue).

#5 - 2014-09-22 03:10 AM - Gavin Fleming

- Category changed from Web Services clients/WMS to Web Services clients/WFS

- Resolution deleted (fixed)

Not sure if this should be here or in a new ticket.

QGIS Master (2.5)

Query Builder is NOT available in the layer properties of an existing WFS layer.

It would be really useful to be able to edit the url filter in the layer source or preferably to use the Query Builder as with any other vector source.

A filter can be defined when adding a WFS layer - why not at any other time?

#6 - 2014-09-23 04:21 AM - Giovanni Manghi

- Resolution set to fixed/implemented
Gavin Fleming wrote:

Not sure if this should be here or in a new ticket.

QGIS Master (2.5)

Query Builder is NOT available in the layer properties of an existing WFS layer.

It would be really useful to be able to edit the url filter in the layer source or preferably to use the Query Builder as with any other vector source.

A filter can be defined when adding a WFS layer - why not at any other time?

the query builder button (in layer properties) seems to be disabled, but not only in master, it is something that goes down until at least 1.8.

I don't know if there is a technical reason or it is a bug, anyway this will deserve a separate ticket.

The query builder I was referring in this ticket is the one that you can access from the "add wfs layer" dialog, before you can actually add the layer.
